Rake -v


#1

I just used Gem to install version 0.7.1 of Rake. When I try to get
Rake to report it’s version, it aborts. Here is a listing:

C:\Documents and Settings\dap>rake -v
rake aborted!
No Rakefile found (looking for: rakefile, Rakefile, rakefile.rb,
Rakefile.rb)
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1822:in
`load_rakefile’
(See full trace by running task with --trace)

C:\Documents and Settings\dap>

Anyone have an idea why this is happening? Know of a way to fix it? I
assume if this is broke on my Rake install, there will be other things
that are not working with my installed Rake.

Don


#2

On Apr 3, 2006, at 9:13 AM, DAP wrote:

I just used Gem to install version 0.7.1 of Rake. When I try to get
Rake to report it’s version, it aborts. Here is a listing:

C:\Documents and Settings\dap>rake -v
rake aborted!

try:
rake --version


Jason P.
removed_email_address@domain.invalid

“The computer allows you to make mistakes
faster than any other invention, with the
possible exception of handguns and tequila.”


#3

DAP wrote:

I just used Gem to install version 0.7.1 of Rake. When I try to get
Rake to report it’s version, it aborts. Here is a listing:

d:\development>rake -V
rake, version 0.7.0.4

Uppercase ‘V’ works.

little ‘v’ means ‘verbose’


James B.

“The greatest obstacle to discovery is not ignorance, but the illusion
of knowledge.”

  • D. Boorstin

#4

TADA!!!

Both suggestions worked great.

Thanks.

Don